picard.illumina.parser.fakers

## Class BclFileFaker

- java.lang.Object
- - picard.illumina.parser.fakers.FileFaker
  - - picard.illumina.parser.fakers.BclFileFaker

-     public class BclFileFaker
      extends FileFaker

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BclFileFaker()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `addLeadingZeros()`
    `protected int` | `bufferSize()`
    `void` | `fakeFile(ByteBuffer buffer)`

    - ### Methods inherited from class picard.illumina.parser.fakers.FileFaker

      `fakeFile, fakeFile, fakeFile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BclFileFaker

          public BclFileFaker()

  - ### Method Detail

    - #### fakeFile

          public void fakeFile(ByteBuffer buffer)

      Specified by:
        `fakeFile` in class `FileFaker`

    - #### addLeadingZeros

          protected boolean addLeadingZeros()

      Specified by:
        `addLeadingZeros` in class `FileFaker`

    - #### bufferSize

          protected int bufferSize()

      Specified by:
        `bufferSize` in class `FileFaker`